Skip to main content
GET
/
v1
/
markets
/
{slug}
/
bbo
Get Market BBO
curl --request GET \
  --url https://gateway.polymarket.us/v1/markets/{slug}/bbo
import requests

url = "https://gateway.polymarket.us/v1/markets/{slug}/bbo"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://gateway.polymarket.us/v1/markets/{slug}/bbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "marketData": {
    "marketSlug": "<string>",
    "currentPx": {
      "value": 123.45,
      "currency": "<string>"
    },
    "lastTradePx": {
      "value": 123.45,
      "currency": "<string>"
    },
    "settlementPx": {
      "value": 123.45,
      "currency": "<string>"
    },
    "sharesTraded": "<string>",
    "openInterest": "<string>",
    "bestAsk": {
      "value": 123.45,
      "currency": "<string>"
    },
    "bestBid": {
      "value": 123.45,
      "currency": "<string>"
    },
    "askDepth": 123,
    "bidDepth": 123,
    "lastPriceSample": {
      "longPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "shortPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "ts": "2023-11-07T05:31:56Z"
    },
    "longQuote": {
      "value": 123.45,
      "currency": "<string>"
    },
    "shortQuote": {
      "value": 123.45,
      "currency": "<string>"
    }
  }
}

Path Parameters

slug
string
required

Market slug

Response

Market data lite including best bid/offer and stats

Response containing market BBO data in a lightweight format

marketData
object